/*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details at
* http://www.gnu.org/copyleft/gpl.html
*
* Author: Marius Stene
*
*/

#ifndef DEFINES_H
#define DEFINES_H

#define COMPANYNAME "MariusSteneNTNU"
#define PRODUCTNAME "MultiPhasePlot"
#define SIMULATIONSFOLDER "simulations"
#define VERSION "0.6.20100510"

#define PI 3.14159265
#define GRAVITY 9.81
//There is a problem with running multiple threads at once. The plugin system isn't thread safe.
//Calling the same function in the same plugin from multiple threads at the same time will yield unreliable results.
//This problem is especially prevelent in pluginSlug()->calculateAlpha() for the regime transition plugins
#define THREADS 1



enum flowtype_t {
    M_LIQUID,
    M_GAS,
    M_BOTH,
    M_NEITHER
};

enum scale_t {
    SCALE_EXP,
    SCALE_LIN,
    SCALE_LOG
};

enum exception_t {
    EX_POSITIVE_NUMBER_NEGATIVE
};

enum simulationtype_t {
    SIMULATION_FLOW,
    SIMULATION_REGIMETRANSITION
};

#endif // DEFINES_H
