/*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details at
* http://www.gnu.org/copyleft/gpl.html
*
* Author: Marius Stene
* Email: marius.stene at gmail dot com
*
*/

#include <QtGui/QApplication>

#include <stdio.h>
#include <stdlib.h>

#include "mainpage.h"
#include "mainwindow.h"

//Save debug output to file
void myMessageOutput(QtMsgType type, const char *msg)
{
    switch (type) {
    case QtDebugMsg:
        //fprintf(pFile, "Debug: %s\n", msg);
        break;
    case QtWarningMsg:
        FILE * pFile;
        pFile = fopen ("myfile.txt","a");
        fprintf(pFile, "Warning: %s\n", msg);
        fclose(pFile);
        break;
    case QtCriticalMsg:
        //fprintf(pFile, "Critical: %s\n", msg);
        break;
    case QtFatalMsg:
        //fprintf(pFile, "Fatal: %s\n", msg);
        abort();
    }
}


int main(int argc, char *argv[])
{
    qInstallMsgHandler(myMessageOutput);

    QApplication a(argc, argv);
    a.addLibraryPath("lib/");
#if defined(Q_OS_WIN32)
    a.addLibraryPath( a.applicationDirPath() + "/lib");
#endif
    MainWindow w;
    w.show();
    return a.exec();
}
