/** @file mainpage.h
* @brief Definition of class Template
*
*/
/** @mainpage package templates
*
* @authors Marius Stene
*
* @section brukerveiledning Brukerveiledning

        For  lage et programtillegg fra grunnen av, forutsatt at Qt SDK med QtCreator er installert, s starter man QtCreator og lager et tomt Qt prosjekt. Hvis multiphaseplot/src/plugins/-mappen velges som grunnmappe for prosjektet s vil de relative adressene i dette eksempelet vre korrekte, dette vil vre den enkleste lsningen  velge.

        Deretter m det legges til en ny klasse via {\bf File -> Add New... -> New Class}. Det enkleste er bare  kalle klassen det samme som prosjektet. Deretter m navnet p programtillegg-grensesnittet som skal arves skrives under <i> Base Class</i>. Alternativene er:
        - FrictionInterface
        - InterfaceFrictionInterface
        - SlipRelationInterface
        - CalculateRegimeInterface
        - RegimeTransitionInterface

        I dette tilfellet velges <i> InterfaceFrictionInterface</i>. (Navnet kan virke noe forvirrende, <i> Interface</i> p starten av ordet refererer til overflaten mellom fasene, mens <i> Interface</i> p slutten av ordet refererer til at dette er et av grensesnittene som programtilleggene bruker, alle programtilleggklassene har navn som slutter med <i> Interface</i>.

        De tre frste programtilleggrensesnittene er friksjonsprogramtillegg, <i> CalculateRegimeInterface</i> er beregningsmetoder for et spesifikt regime, for eksempel unit cell-modellen for slug-strm. <i> RegimeTransitionInterface</i> brukes av programtillegg som finner regimeoverganger.

        Det er viktig at <i> Inherits QObject</i> blir valgt under <i> Type Information</i>. Resten fylles ut av seg selv.

I header filen til den nye klassen m de riktige header-filene fra <i> Qt</i> og <i> MultiPhaseSupport</i> inkluderes.


Ved  klikke F2 nr <i> interfacefrictioninterface.h</i> er fokusert av tekstmarkren pnes denne filen. Alle funksjonene som her er definert med <i> = 0</i> p slutten, skalte <i> pure virtual</i>-funksjoner, m reimplementeres i vrt programtillegg.

        Vi ser at denne klassen arver <i> PluginInterface</i> s vi m pne denne filen for  se om ogs denne har funksjoner som m implementeres. Dette kan ogs gjres ved  trykke F2 nr <i> PluginInterface</i>-teksten er markert.

I tillegg til  legge til disse funksjonene m det i header filen til prosjektet spesifiseres at vi bruker <i> InterfaceFrictionInterface</i>-interfacet ved hjelp av <i> Q_INTERFACE()</i>-makroen. Klassedefinisjonen vr vil da bli seende slik ut.

Bortsett fra implementeringen av konstruktoren vil en enkel implementering av disse funksjonene se som flgende ut. Ogs her ser vi at vi m legge til en makro <i> (Q_EXPORT_PLUGIN2())</i> for at programtillegget skal fungere riktig. Det kan vre verdt  legge merke til at det som blir returnert fra <i> pluginName()</i>-funksjonen vil vre det som dukker opp som programtilleggets navn i <i> MultiPhasePlot</i> senere.

Det aller siste som m gjres fr programtillegget kan kompileres er  fortelle kompilatoren at det er en .dll-filen vi vil ha, ikke en .exe fil som er det som er standard. Dette gjres ved  legge to linjer til prosjektfilen <i> ProsjektTilleggEksempel.pro</i>. Den andre linjen forteller hvor .dll-filen skal havne. Prosjektfilen vil da bli seende slik ut.

Deretter er det bare  trykke F5 for  kompilere programtillegget. Hvis filadressene er riktige br programtillegget automatisk havne p riktig sted og ved  starte <i> MultiPhasePlot</i> kan vi verifisere dette.

*/

#ifndef MAINPAGE_H
#define MAINPAGE_H

#endif // MAINPAGE_H

