/**
 * @file
 * @author  Marius Stene <marius.stene at gmail.com>
 * @version 1.0
 *
 * @section LICENSE
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details at
 * http://www.gnu.org/copyleft/gpl.html
 *
 * @section DESCRIPTION
 * Class for creating simple plots, based on QwtPlot
 */

#ifndef XYPLOT_H
#define XYPLOT_H

#include <QString>

#include <qwt_plot.h>
#include <qwt_legend.h>
#include <qwt_plot_canvas.h>
#include <qwt_plot_curve.h>
#include <qwt_series_data.h>
#include <qwt_text.h>
#include <qwt_math.h>
#include <qwt_legend.h>
#include <qwt_plot_marker.h>
#include <qwt_plot_zoomer.h>
#include <qwt_plot_panner.h>
#include <qwt_scale_engine.h>
#include <qwt_plot_printfilter.h>
#include <QDebug>

#include <vector>

class XYPlot : public QwtPlot
{
public:
    XYPlot(QWidget *parent, QString title, QString xAxisLabel = "", QString yAxisLabel = "");

    void addCurve(std::vector<double> xValuesList, std::vector<double> yValuesList, QString legend = "");
    virtual void clear();

    QwtPlot * Plot();
    QwtPlotZoomer* zoomer;
private:
    int _curves;
    std::vector<QPen> _pens;

};

#endif // XYPLOT_H
