/*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or (at your option) any later version.
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* Copyright (C) 2010 Marius Stene (marius.stene at gmail dot com)
*
*/

#include "frictionfunctions.h"

/*! @class FrictionFunctions
 *  @brief Class which handles pointers to friction and slip relation plugins
 * designed for being passing as argument to calculation functions
 */

/** Constructor, sets pointers to NULL */
FrictionFunctions::FrictionFunctions()
{
    _pluginWallGas = NULL;
    _pluginWallLiquid = NULL;
    _pluginInterface = NULL;
    _pluginDispersed = NULL;
    _pluginSlipRelation = NULL;
}

bool FrictionFunctions::equals(FrictionFunctions *frictionFunctions)
{
    if (_pluginWallGas != frictionFunctions->pluginWallGas())
        return false;
    if (_pluginWallLiquid != frictionFunctions->pluginWallLiquid())
        return false;
    if (_pluginInterface != frictionFunctions->pluginInterface())
        return false;
    if (_pluginDispersed != frictionFunctions->pluginDispersed())
        return false;
    if (_pluginSlipRelation != frictionFunctions->pluginSlipRelation())
        return false;

    return true;
}
