/**
 * @file
 * @author  Marius Stene <marius.stene at gmail.com>
 * @version 1.0
 *
 * @section LICENSE
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * @section DESCRIPTION
 * Base class to be derived by real plugininterfaces
 */
#ifndef PLUGININTERFACE_H
#define PLUGININTERFACE_H

#include <QtPlugin>
#include <QString>

#include "data.h"

/** @brief Base class to be derived by real plugininterfaces */
class PluginInterface
{
public:
        virtual ~PluginInterface() {};
        virtual QString pluginName() const = 0;
};

Q_DECLARE_INTERFACE(PluginInterface, "com.MariusStene.MultiPhase.PluginInterface/1.0");

#endif // PLUGININTERFACE_H





