/*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details at
* http://www.gnu.org/copyleft/gpl.html
*
* Author: Marius Stene
* Email: marius.stene at gmail dot com
*
*/

#include "blasius.h"


Blasius::Blasius()
{
qDebug() << "Blasius::Blasius()";
}

Blasius::~Blasius()
{
qDebug() << "Blasius::~Blasius()";
}

double Blasius::calculateLiquidFrictionFactor(Data const &data, double reynolds, double hdiameter) const
{
    qDebug() << "Blasius::calculateLiquidFrictionFactor()";
    double C = 0.046;
    double n = -0.20;
    double re = C*pow(reynolds, n);
    //qDebug() << "data.viscosityLiquid() =" << data.viscosityLiquid() << ", data.densityLiquid() =" << data.densityLiquid() << ", hdiameter =" << hdiameter;
    //qDebug() << "returning =" << re;
    return re;
}

double Blasius::calculateGasFrictionFactor(Data const &data, double reynolds, double hdiameter) const
{
    qDebug() << "Blasius::calculateGasFrictionFactor()";
    double C = 0.046;
    double n = -0.20;
    double re = C*pow(reynolds, n);
    //qDebug() << "data.viscosityGas() =" << data.viscosityGas() << ", data.densityGas() =" << data.densityGas() << ", hdiameter =" << hdiameter;
    //qDebug() << "returning =" << re;
    return re;
}

double Blasius::calculateDispersedFrictionFactor(Data const &data, double alpha, double reynolds, double hdiameter, double UDisp, double viscosity) const
{
    qDebug() << "Blasius::calculateDispersedFrictionFactor()";
    double C = 0.046;
    double n = -0.20;
    double re = C*pow(reynolds, n);
    //qDebug() << "returning =" << re;
    return re;
}

QString Blasius::pluginName() const
{
    qDebug() << "Blasius::pluginName()";
    return QString("Blasius");
}

bool Blasius::isLiquidWallFriction() const
{
    qDebug() << "Blasius::isLiquidWallFriction()";
    return true;
}

bool Blasius::isGasWallFriction() const
{
    qDebug() << "Blasius::isGasWallFriction()";
    return true;
}

bool Blasius::isDispersedFriction() const
{
    qDebug() << "Blasius::isDispersedFriction()";
    return true;
}

Q_EXPORT_PLUGIN2(../../../application/MultiPhase/debug/lib/wallfriction/blasius, Blasius);
