/*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details at
* http://www.gnu.org/copyleft/gpl.html
*
* Author: Marius Stene
* Email: marius.stene at gmail dot com
*
*/

#ifndef BLASUIUS_H
#define BLASUIUS_H

#include <QObject>
#include <QString>
#include <QtPlugin>
#include <QDebug>
#include <math.h>

#include "../../application/Support/frictioninterface.h"
#include "../../application/Support/plugininterface.h"
#include "../../application/Support/data.h"

class Blasius : public QObject, public FrictionInterface
{
    Q_OBJECT
    Q_INTERFACES(FrictionInterface)

public:
    Blasius();
    ~Blasius();
    double calculateLiquidFrictionFactor(Data const &data, double reynolds, double hdiameter) const ;
    double calculateGasFrictionFactor(Data const &data, double reynolds, double hdiameter) const ;
    double calculateDispersedFrictionFactor(Data const &data, double alpha, double reynolds, double hdiameter, double UDisp, double viscosity) const;
    QString pluginName() const;
    bool isLiquidWallFriction() const;
    bool isGasWallFriction() const;
    bool isDispersedFriction() const;
};

#endif // BLASUIUS_H
