/*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details at
* http://www.gnu.org/copyleft/gpl.html
*
* Author: Marius Stene
* Email: marius.stene at gmail dot com
*
*/

#include "haaland.h"


Haaland::Haaland()
{
qDebug() << "Haaland::Haaland()";
}

Haaland::~Haaland()
{
qDebug() << "Haaland::~Haaland()";
}

double Haaland::calculateLiquidFrictionFactor(Data const &data, double reynolds, double hdiameter) const
{
    qDebug() << "Haaland::calculateLiquidFrictionFactor()";
    qDebug() << "reynolds =" << reynolds << ", data.roughness() =" << data.roughness() << ", hdiameter =" << hdiameter;
    double re = pow(1/(1.8*log10((6.9/reynolds)+pow(data.roughness()/(3.7*hdiameter), 1.11))), 2);
    qDebug() << "returning =" << re;
    return re;
}

double Haaland::calculateGasFrictionFactor(Data const &data, double reynolds, double hdiameter) const
{
    qDebug() << "Haaland::calculateGasFrictionFactor()";
    qDebug() << "reynolds =" << reynolds << ", data.roughness() =" << data.roughness() << ", hdiameter =" << hdiameter;
    double re = pow(1/(1.8*log10((6.9/reynolds)+pow(data.roughness()/(3.7*hdiameter), 1.11))), 2);
    qDebug() << "returning =" << re;
    return re;
}

double Haaland::calculateDispersedFrictionFactor(Data const &data, double alpha, double reynolds, double hdiameter, double UDisp, double viscosity) const
{
    qDebug() << "Haaland::calculateDispersedFrictionFactor()";
    qDebug() << "reynolds =" << reynolds << ", data.roughness() =" << data.roughness() << ", hdiameter =" << hdiameter;
    double re = pow(1/(1.8*log10((6.9/reynolds)+pow(data.roughness()/(3.7*hdiameter), 1.11))), 2);
    qDebug() << "returning =" << re;
    return re;
}

QString Haaland::pluginName() const
{
    qDebug() << "Haaland::pluginName()";
    return QString("Haaland");
}

bool Haaland::isLiquidWallFriction() const
{
    qDebug() << "Haaland::isLiquidWallFriction()";
    return true;
}

bool Haaland::isGasWallFriction() const
{
    qDebug() << "Haaland::isGasWallFriction()";
    return true;
}

bool Haaland::isDispersedFriction() const
{
    qDebug() << "Haaland::isDispersedFriction()";
    return true;
}

Q_EXPORT_PLUGIN2(../../../application/MultiPhase/debug/lib/wallfriction/haaland, Haaland);
