/*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details at
* http://www.gnu.org/copyleft/gpl.html
*
* Author: Marius Stene
* Email: marius.stene at gmail dot com
*
*/

#ifndef LIMITSLUGFRACTION_H
#define LIMITSLUGFRACTION_H

#include <QObject>
#include <QString>
#include <QtPlugin>
#include <QDebug>
#include <QMessageBox>
#include <math.h>

#include "../../application/Support/frictionfunctions.h"
#include "../../application/Support/calculatefunctions.h"
#include "../../application/Support/regimetransitioninterface.h"
#include "../../application/Support/pluginexception.h"
#include "../../application/Support/data.h"

class LimitSlugFraction : public QObject, public RegimeTransitionInterface
{
    Q_OBJECT
    Q_INTERFACES(RegimeTransitionInterface)

public:
    LimitSlugFraction();
    ~LimitSlugFraction();
    double calculateRegimeTransition(Data *data, FrictionFunctions *frictionFunctions, CalculateFunctions *calculateFunctions, double tolerance, double Usg);
    regimetype_t calculateRegime(Data *data, FrictionFunctions *frictionFunctions, CalculateFunctions *calculateFunctions, double tolerance, double Usg, double Usl);
    QString pluginName() const;
    QString transitionDescription() const;
    QString tooltip() const;
    QString statustip() const;
    bool transitionAnnular() const;
    bool transitionStratified() const;
    bool transitionDispersed() const;
    bool transitionSlug() const; 
private:
};

#endif // LIMITSLUGFRACTION_H
