/*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details at
* http://www.gnu.org/copyleft/gpl.html
*
* Author: Marius Stene
* Email: marius.stene at gmail dot com
*
*/

#include "moody.h"


Moody::Moody()
{
qDebug() << "Moody::Moody()";
}

Moody::~Moody()
{
qDebug() << "Moody::~Moody()";
}

double Moody::calculateLiquidFrictionFactor(Data const &data, double reynolds, double hdiameter) const
{
    qDebug() << "Moody::calculateLiquidFrictionFactor()";
    qDebug() << "reynolds =" << reynolds << ", data.roughness() =" << data.roughness() << ", hdiameter =" << hdiameter;
    double re = 0.0055*(1+pow(20000*(data.roughness()/hdiameter)+1000000/reynolds, (1/3)));
    qDebug() << "returning =" << re;
    return re;
}

double Moody::calculateGasFrictionFactor(Data const &data, double reynolds, double hdiameter) const
{
    qDebug() << "Moody::calculateGasFrictionFactor()";
    qDebug() << "reynolds =" << reynolds << ", data.roughness() =" << data.roughness() << ", hdiameter =" << hdiameter;
    double re = 0.0055*(1+pow(20000*(data.roughness()/hdiameter)+1000000/reynolds, (1/3)));
    qDebug() << "returning =" << re;
    return re;
}

double Moody::calculateDispersedFrictionFactor(Data const &data, double alpha, double reynolds, double hdiameter, double UDisp, double viscosity) const
{
    qDebug() << "Moody::calculateDispersedFrictionFactor()";
    qDebug() << "reynolds =" << reynolds << ", data.roughness() =" << data.roughness() << ", hdiameter =" << hdiameter;
    double re = 0.0055*(1+pow(20000*(data.roughness()/hdiameter)+1000000/reynolds, (1/3)));
    qDebug() << "returning =" << re;
    return re;
}

QString Moody::pluginName() const
{
    qDebug() << "Moody::pluginName()";
    return QString("Moody");
}

bool Moody::isLiquidWallFriction() const
{
    qDebug() << "Moody::isLiquidWallFriction()";
    return true;
}

bool Moody::isGasWallFriction() const
{
    qDebug() << "Moody::isGasWallFriction()";
    return true;
}

bool Moody::isDispersedFriction() const
{
    qDebug() << "Moody::isDispersedFriction()";
    return true;
}

Q_EXPORT_PLUGIN2(../../../application/MultiPhase/debug/lib/wallfriction/moody, Moody);
