/*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details at
* http://www.gnu.org/copyleft/gpl.html
*
* Author: Marius Stene
* Email: marius.stene at gmail dot com
*
*/

#ifndef PROGRAMTILLEGGEKSEMPEL_H
#define PROGRAMTILLEGGEKSEMPEL_H

#include <QObject>
#include <QtPlugin>
#include "../../application/Support/interfacefrictioninterface.h"
#include "../../application/Support/data.h"

class ProgramTilleggEksempel
            : public QObject, public InterfaceFrictionInterface
{
    Q_OBJECT
    Q_INTERFACES(InterfaceFrictionInterface)
public:
    ProgramTilleggEksempel();
    double calculateFrictionFactor(Data const &data, double alpha,
                double reynoldsGas, double hdiameterGas,
                double thicknessFilm, double frictionFactorGas) const;
    QString pluginName() const;
    bool isInterfaceFriction() const;
};


#endif // PROGRAMTILLEGGEKSEMPEL_H
