/*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* General Public License for more details at
* http://www.gnu.org/copyleft/gpl.html
*
* Author: Marius Stene
* Email: marius.stene at gmail dot com
*
*/

#ifndef RUSSEL_H
#define RUSSEL_H

#include <QObject>
#include <QString>
#include <QtPlugin>
#include <QDebug>
#include <math.h>

#include "../../application/Support/interfacefrictioninterface.h"
#include "../../application/Support/plugininterface.h"
#include "../../application/Support/data.h"

class RusselInterfaceFriction : public QObject, public InterfaceFrictionInterface
{
    Q_OBJECT
    Q_INTERFACES(InterfaceFrictionInterface)

public:
    RusselInterfaceFriction();
    ~RusselInterfaceFriction();
    double calculateFrictionFactor(Data const &data, double alpha, double reynoldsGas, double hdiameterGas, double thicknessFilm, double frictionGas) const;
    QString pluginName() const;
    bool isInterfaceFriction() const;
};

#endif // RUSSEL_H
